jira
default JiraEndpointBuilderFactory.JiraEndpointBuilder jira(String path)
Jira (camel-jira)
The jira component interacts with the JIRA issue tracker. The
endpoint encapsulates portions of the JIRA API, relying on the
jira-rest-java-client SDK. Available endpoint URIs include: CONSUMERS
jira://newIssues (retrieve only new issues after the route is
started) jira://newComments (retrieve only new comments after the
route is started) PRODUCERS jira://addIssue (add an issue)
jira://addComment (add a comment on a given issue) jira://attach (add
an attachment on a given issue) jira://deleteIssue (delete a given
issue) jira://updateIssue (update fields of a given issue)
jira://transitionIssue (transition a status of a given issue)
jira://watchers (add/remove watchers of a given issue) The endpoints
will respond with jira-rest-java-client POJOs (Issue, Comment, etc.)
Note: Rather than webhooks, this endpoint relies on simple polling.
Reasons include: - concerned about reliability/stability if this
somehow relied on an exposed, embedded server (Jetty) - the types of
payloads we're polling aren't typically large (plus, paging is
available in the API) - need to support apps running somewhere not
publicly accessible where a webhook would fail
Category: api,reporting
Since: 3.0
Maven coordinates: org.apache.camel:camel-jira
Syntax: jira:type
Path parameter: type (required)
Operation to perform. Consumers: NewIssues, NewComments. Producers:
AddIssue, AttachFile, DeleteIssue, TransitionIssue, UpdateIssue,
Watchers. See this class javadoc description for more information.
The value can be one of: ADDCOMMENT, ADDISSUE, ATTACH, DELETEISSUE,
NEWISSUES, NEWCOMMENTS, UPDATEISSUE, TRANSITIONISSUE, WATCHERS,
ADDISSUELINK, ADDWORKLOG, FETCHISSUE, FETCHCOMMENTS